Skip Menu |
 

This queue is for tickets about the Template-Toolkit CPAN distribution.

Report information
The Basics
Id: 2664
Status: resolved
Priority: 0/
Queue: Template-Toolkit

People
Owner: Nobody in particular
Requestors: hauser [...] acm.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: allow Template to be installed also as non-root
Download (untitled) / with headers
text/plain 711b
Running make install make[1]: Entering directory `/home/hauser/.cpan/build/Template-Toolkit-2.09/xs' make[1]: Leaving directory `/home/hauser/.cpan/build/Template-Toolkit-2.09/xs' Warning: You do not have permissions to install into /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi at /usr/lib/perl5/5.8.0/ExtUtils/Install.pm line 84. mkdir /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto: Permission denied at /usr/lib/perl5/5.8.0/ExtUtils/Install.pm line 137 make: *** [pure_site_install] Error 255 /usr/bin/make install -- NOT OK You may have to su to root to install the package This prevents me from installing bugzilla :( --> http://bugzilla.mozilla.org/show_bug.cgi?id=207039
Download (untitled) / with headers
text/plain 277b
Show quoted text
> This prevents me from installing bugzilla :( > --> http://bugzilla.mozilla.org/show_bug.cgi?id=207039
No it doesn't. Not knowing how to install perl modules does. Try `make help' to see how to work around it. Yyou should have taken care of this when you configured cpan.
Download (untitled) / with headers
text/plain 801b
On Втр. Май 27 14:30:17 2003, guest wrote: Show quoted text
> Running make install > make[1]: Entering directory `/home/hauser/.cpan/build/Template- > Toolkit-2.09/xs' > make[1]: Leaving directory `/home/hauser/.cpan/build/Template-
Toolkit- Show quoted text
> 2.09/xs' > Warning: You do not have permissions to install into > /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi at > /usr/lib/perl5/5.8.0/ExtUtils/Install.pm line 84. > > mkdir /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto: > Permission denied at /usr/lib/perl5/5.8.0/ExtUtils/Install.pm line
137 Show quoted text
> make: *** [pure_site_install] Error 255 > /usr/bin/make install -- NOT OK > You may have to su to root to install the package > > This prevents me from installing bugzilla :( > --> http://bugzilla.mozilla.org/show_bug.cgi?id=207039


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.